Last Comment Bug 691108 - Intermittent netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log: after "###!!! ASSERTION: record not found: 'Not Reached'"
: Intermittent netwerk/test/unit/test_bug650955.js | test failed (with xpcshell...
Status: RESOLVED FIXED
: assertion, intermittent-failure
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla14
Assigned To: Michal Novotny (:michal)
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-10-01 17:36 PDT by Phil Ringnalda (:philor)
Modified: 2012-12-10 10:23 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (3.54 KB, patch)
2012-04-04 16:28 PDT, Michal Novotny (:michal)
jduell.mcbugs: review+
Details | Diff | Splinter Review

Description User image Phil Ringnalda (:philor) 2011-10-01 17:36:37 PDT
+++ This bug was initially created as a clone of Bug #685804 +++

I sort of expected to see that I'd previously misstarred this as bug 685804, but apparently not.

https://tbpl.mozilla.org/php/getParsedLog.php?id=6637138&tree=Fx-Team
Rev3 MacOSX Leopard 10.5.8 fx-team debug test xpcshell on 2011-10-01 02:54:25 PDT for push ce689bad5e34

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
>>>>>>>
...
TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | [null : 144] 13 == 13

TEST-INFO | (xpcshell/head.js) | test 2 pending
###!!! ASSERTION: record not found: 'Not Reached', file /builds/slave/fx-team-osx-dbg/build/netwerk/cache/nsDiskCacheMap.cpp, line 458
catch_exception_raise+0x000DA66B [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0010F1EF]
catch_exception_raise+0x000DB0E5 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0010FC69]
catch_exception_raise+0x000C6F2E [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000FBAB2]
catch_exception_raise+0x000C792A [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000FC4AE]
XRE_AddStaticComponent+0x0000A54E [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x017B35AE]
mozilla::layers::FrameMetrics::operator==(mozilla::layers::FrameMetrics const&) const+0x0001841F [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x01740A4F]
XRE_AddStaticComponent+0x0000B121 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x017B4181]
PR_Select+0x00000450 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/libnspr4.dylib +0x00029C01]
_pthread_start+0x00000141 [/usr/lib/libSystem.B.dylib +0x00032155]
thread_start+0x00000022 [/usr/lib/libSystem.B.dylib +0x00032012]
###!!! ASSERTION: record not found: 'Not Reached', file /builds/slave/fx-team-osx-dbg/build/netwerk/cache/nsDiskCacheMap.cpp, line 458
<<<<<<<
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)


And the bit of stack before the assertion-kill:

4  XUL!nsDiskCacheMap::UpdateRecord [nsDiskCacheMap.cpp:ce689bad5e34 : 458 + 0x31]
    eip = 0x02bb01ef   esp = 0xb040ec80   ebp = 0xb040ecd8   ebx = 0x02bb0007
    esi = 0x000000fe   edi = 0x00000000
    Found by: call frame info
 5  XUL!nsDiskCacheMap::WriteDiskCacheEntry [nsDiskCacheMap.cpp:ce689bad5e34 : 862 + 0x14]
    eip = 0x02bb0c69   esp = 0xb040ece0   ebp = 0xb040ed78   ebx = 0x02bb09b2
    esi = 0x000000fe   edi = 0x00000000
    Found by: call frame info
 6  XUL!nsDiskCacheDevice::DeactivateEntry_Private [nsDiskCacheDevice.cpp:ce689bad5e34 : 596 + 0x14]
    eip = 0x02b9cab2   esp = 0xb040ed80   ebp = 0xb040edb8   ebx = 0x02b9d44b
    esi = 0x00000000   edi = 0x00000000
    Found by: call frame info
 7  XUL!nsDiskCacheDeviceDeactivateEntryEvent::Run [nsDiskCacheDevice.cpp:ce689bad5e34 : 108 + 0x21]
    eip = 0x02b9d4ae   esp = 0xb040edc0   ebp = 0xb040ede8   ebx = 0x02b9d44b
    esi = 0x00000000   edi = 0x00000000
    Found by: call frame info
 8  XUL!nsThread::ProcessNextEvent [nsThread.cpp:ce689bad5e34 : 631 + 0x18]
    eip = 0x042545ae   esp = 0xb040edf0   ebp = 0xb040ee98   ebx = 0x04254204
    esi = 0x00000000   edi = 0x00000000
    Found by: call frame info
 9  XUL!NS_ProcessNextEvent_P [nsThreadUtils.cpp:ce689bad5e34 : 245 + 0x20]
    eip = 0x041e1a4f   esp = 0xb040eea0   ebp = 0xb040eee8   ebx = 0x041e19d2
Comment 1 User image Treeherder Robot 2011-10-03 05:35:21 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6651661&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2011-10-03 01:32:48

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | application crashed (minidump found)
Thread 9 (crashed)
Comment 2 User image :Ehsan Akhgari 2011-10-04 07:38:59 PDT
This looks bad...
Comment 3 User image Treeherder Robot 2011-10-08 07:58:04 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6745939&tree=Mozilla-Aurora
Rev3 MacOSX Leopard 10.5.8 mozilla-aurora debug test xpcshell on 2011-10-08 06:04:03

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 4 User image Treeherder Robot 2011-10-08 10:04:36 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6747951&tree=Mozilla-Beta
Rev3 MacOSX Leopard 10.5.8 mozilla-beta debug test xpcshell on 2011-10-08 09:06:46

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 5 User image Treeherder Robot 2011-10-12 06:09:05 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6808640&tree=Try
Rev3 WINNT 6.1 try opt test xpcshell on 2011-10-12 05:12:02

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 012345 == Initial value - See following stack:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 6 User image Treeherder Robot 2011-10-14 09:55:11 PDT
bholley
https://tbpl.mozilla.org/php/getParsedLog.php?id=6847364&tree=Try
Rev3 MacOSX Snow Leopard 10.6.2 try debug test xpcshell on 2011-10-14 00:34:02

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 7 User image Treeherder Robot 2011-10-18 03:54:32 PDT
mak77%bonardo.net
https://tbpl.mozilla.org/php/getParsedLog.php?id=6904745&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-10-18 01:18:48

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 8 User image Treeherder Robot 2011-10-18 13:05:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6914779&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2011-10-18 12:19:51

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 9 User image Treeherder Robot 2011-10-19 09:23:06 PDT
jgilbert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6920347&tree=Try
Rev3 MacOSX Snow Leopard 10.6.2 try debug test xpcshell on 2011-10-18 17:21:41

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 10 User image Treeherder Robot 2011-10-21 10:32:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6970380&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2011-10-21 09:25:43

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 11 User image Treeherder Robot 2011-10-21 13:32:49 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=6941251&tree=Try
Rev3 MacOSX Leopard 10.5.8 try debug test xpcshell on 2011-10-19 16:46:12

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 12 User image Treeherder Robot 2011-10-24 13:15:07 PDT
terrence
https://tbpl.mozilla.org/php/getParsedLog.php?id=7006302&tree=Try
Rev3 MacOSX Snow Leopard 10.6.2 try debug test xpcshell on 2011-10-24 10:53:39

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 13 User image Treeherder Robot 2011-10-24 16:37:41 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7011041&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-10-24 15:56:52

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 14 User image Treeherder Robot 2011-10-24 16:38:03 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7011041&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-10-24 15:56:52

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 15 User image Treeherder Robot 2011-10-24 17:05:43 PDT
philipp%weitershausen.de
https://tbpl.mozilla.org/php/getParsedLog.php?id=7011349&tree=Services-Central
Rev3 MacOSX Snow Leopard 10.6.2 services-central debug test xpcshell on 2011-10-24 16:13:37

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 16 User image Treeherder Robot 2011-10-26 16:14:02 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7045197&tree=Mozilla-Beta
Rev3 MacOSX Leopard 10.5.8 mozilla-beta debug test xpcshell on 2011-10-26 15:10:52

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 17 User image Treeherder Robot 2011-10-29 08:10:13 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7100115&tree=Firefox
Rev3 WINNT 6.1 mozilla-central pgo test xpcshell on 2011-10-29 06:18:56

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 012345 == Initial value - See following stack:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 18 User image Treeherder Robot 2011-10-30 08:33:48 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=7111722&tree=Fx-Team
Rev3 MacOSX Snow Leopard 10.6.2 fx-team opt test xpcshell on 2011-10-30 08:02:01

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a == 9876543210 - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 19 User image Treeherder Robot 2011-10-31 14:21:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7127254&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2011-10-31 13:12:56

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 20 User image Treeherder Robot 2011-10-31 15:34:45 PDT
bsmith
https://tbpl.mozilla.org/php/getParsedLog.php?id=7129019&tree=Try
Rev3 MacOSX Leopard 10.5.8 try debug test xpcshell on 2011-10-31 15:02:05

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 21 User image Treeherder Robot 2011-11-02 02:55:51 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=7157318&tree=Firefox
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test xpcshell on 2011-11-01 23:07:17

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 22 User image Treeherder Robot 2011-11-03 10:48:42 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7186786&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-11-03 10:21:57

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 23 User image Treeherder Robot 2011-11-03 14:48:17 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7191852&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-11-03 14:16:00

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 24 User image Treeherder Robot 2011-11-03 14:48:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7191852&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-11-03 14:16:00

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 25 User image Treeherder Robot 2011-11-04 01:31:34 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7203421&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-11-04 00:41:50

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 26 User image Treeherder Robot 2011-11-04 15:22:20 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7216941&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-11-04 14:48:06

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 27 User image Treeherder Robot 2011-11-04 18:26:50 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7219859&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-11-04 17:04:56

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 28 User image Treeherder Robot 2011-11-08 07:47:57 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7282458&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-11-08 07:21:56

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 29 User image Treeherder Robot 2011-11-09 10:43:16 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7311460&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-11-09 10:08:49

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 30 User image Treeherder Robot 2011-11-11 13:08:06 PST
mak77%bonardo.net
https://tbpl.mozilla.org/php/getParsedLog.php?id=7356690&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-11-11 12:08:13

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 31 User image Treeherder Robot 2011-11-12 22:54:20 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7372199&tree=Firefox
Rev3 WINNT 6.1 mozilla-central debug test xpcshell on 2011-11-12 21:33:52

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 012345 == Initial value - See following stack:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 32 User image Treeherder Robot 2011-11-14 21:54:05 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7395973&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-11-14 21:27:46

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 33 User image Treeherder Robot 2011-11-15 08:50:03 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7404822&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-11-15 07:41:48

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 34 User image Treeherder Robot 2011-11-16 07:40:40 PST
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7426249&tree=Firefox
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test xpcshell on 2011-11-16 04:39:06

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 35 User image Treeherder Robot 2011-11-17 09:05:38 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7448727&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-11-17 05:41:51

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 36 User image Treeherder Robot 2011-11-17 11:55:44 PST
nnethercote
https://tbpl.mozilla.org/php/getParsedLog.php?id=7443516&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try debug test xpcshell on 2011-11-16 22:41:02

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 37 User image Treeherder Robot 2011-11-17 13:34:39 PST
heycam
https://tbpl.mozilla.org/php/getParsedLog.php?id=7442200&tree=Try
Rev3 MacOSX Snow Leopard 10.6.2 try debug test xpcshell on 2011-11-16 21:28:50

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a0123456789a == 9876543210 - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 38 User image Treeherder Robot 2011-11-22 15:26:02 PST
bsmedberg
https://tbpl.mozilla.org/php/getParsedLog.php?id=7537745&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-11-22 14:43:53

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 11 (crashed)
Comment 39 User image Treeherder Robot 2011-11-23 07:46:33 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7551255&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2011-11-23 06:41:59

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 40 User image Treeherder Robot 2011-11-25 15:20:24 PST
mounir
https://tbpl.mozilla.org/php/getParsedLog.php?id=7582950&tree=Try
Rev3 MacOSX Leopard 10.5.8 try debug test xpcshell on 2011-11-25 09:22:50

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 41 User image Treeherder Robot 2011-11-29 10:46:06 PST
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7635658&tree=Mozilla-Aurora
Rev3 MacOSX Leopard 10.5.8 mozilla-aurora debug test xpcshell on 2011-11-29 08:56:52

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 42 User image Treeherder Robot 2011-11-29 21:24:18 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7650616&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2011-11-29 20:15:49

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | application crashed (minidump found)
Thread 11 (crashed)
Comment 43 User image Treeherder Robot 2011-11-30 10:43:32 PST
sworkman
https://tbpl.mozilla.org/php/getParsedLog.php?id=7647171&tree=Try
Rev3 MacOSX Leopard 10.5.8 try debug test xpcshell on 2011-11-29 17:47:54

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 44 User image Treeherder Robot 2011-12-01 16:55:10 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7692400&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-01 15:40:37

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 45 User image Treeherder Robot 2011-12-02 06:44:53 PST
mcmanus
https://tbpl.mozilla.org/php/getParsedLog.php?id=7700802&tree=Try
Rev3 WINNT 6.1 try debug test xpcshell on 2011-12-01 21:32:02

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | application crashed (minidump found)
Thread 11 (crashed)
Comment 46 User image Treeherder Robot 2011-12-07 17:03:10 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7802960&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-07 11:53:19

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 47 User image Treeherder Robot 2011-12-09 00:06:31 PST
jdaggett%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7847747&tree=Mozilla-Beta
Rev3 MacOSX Leopard 10.5.8 mozilla-beta debug test xpcshell on 2011-12-08 23:20:58

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 48 User image Treeherder Robot 2011-12-09 17:01:57 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7863663&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-09 15:55:06

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 49 User image Treeherder Robot 2011-12-13 13:13:06 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7910681&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2011-12-13 12:28:59

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 50 User image Treeherder Robot 2011-12-13 19:28:55 PST
Unfocused
https://tbpl.mozilla.org/php/getParsedLog.php?id=7918857&tree=Mozilla-Aurora
Rev3 MacOSX Leopard 10.5.8 mozilla-aurora debug test xpcshell on 2011-12-13 18:38:56

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 51 User image Treeherder Robot 2011-12-14 14:51:17 PST
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7938208&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2011-12-14 14:15:02

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 52 User image Treeherder Robot 2011-12-15 10:15:46 PST
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7955894&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2011-12-15 08:27:06

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | application crashed (minidump found)
Thread 11 (crashed)
Comment 53 User image Treeherder Robot 2011-12-15 13:42:38 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7961850&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-15 13:13:01

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 54 User image Treeherder Robot 2011-12-16 17:25:43 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7993030&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-16 16:51:00

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 55 User image Treeherder Robot 2011-12-17 02:25:15 PST
Unfocused
https://tbpl.mozilla.org/php/getParsedLog.php?id=7999557&tree=Mozilla-Aurora
Rev3 MacOSX Leopard 10.5.8 mozilla-aurora debug test xpcshell on 2011-12-17 00:41:50

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 56 User image Treeherder Robot 2011-12-17 13:24:27 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8007016&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-17 12:41:03

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 57 User image Treeherder Robot 2011-12-21 23:06:23 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8103686&tree=Mozilla-Beta
Rev3 MacOSX Leopard 10.5.8 mozilla-beta debug test xpcshell on 2011-12-21 22:13:48

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 58 User image Treeherder Robot 2011-12-22 11:04:01 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8109510&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-22 10:15:49

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 59 User image Treeherder Robot 2011-12-23 17:30:36 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8131978&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-23 17:01:20

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 60 User image Treeherder Robot 2011-12-27 04:57:59 PST
darktrojan
https://tbpl.mozilla.org/php/getParsedLog.php?id=8171731&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-27 04:31:17

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 61 User image Treeherder Robot 2011-12-27 09:05:07 PST
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=8174497&tree=Try
Rev3 MacOSX Leopard 10.5.8 try debug test xpcshell on 2011-12-27 08:01:08

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 62 User image Treeherder Robot 2011-12-27 20:53:47 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8186658&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-27 20:25:04

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 63 User image Treeherder Robot 2011-12-29 02:10:12 PST
steffen.wilberg%web.de
https://tbpl.mozilla.org/php/getParsedLog.php?id=8210705&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound pgo test xpcshell on 2011-12-29 00:08:41

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 012345 == Initial value - See following stack:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 64 User image Treeherder Robot 2011-12-29 12:45:53 PST
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=8217335&tree=UX
Rev3 MacOSX Leopard 10.5.8 ux opt test xpcshell on 2011-12-29 08:58:46

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 012345 == Initial value - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 65 User image Treeherder Robot 2011-12-29 20:14:00 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8226735&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2011-12-29 19:33:48

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 66 User image Treeherder Robot 2012-01-04 06:05:37 PST
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=8316040&tree=Fx-Team
Rev3 WINNT 6.1 fx-team opt test xpcshell on 2012-01-04 04:52:34

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 012345 == Initial value - See following stack:
TEST-UNEXPECTED-FAIL | c:/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 67 User image Treeherder Robot 2012-01-04 14:45:29 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8322608&tree=Mozilla-Aurora
Rev3 WINNT 6.1 mozilla-aurora debug test xpcshell on 2012-01-04 10:42:05

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | application crashed (minidump found)
Thread 11 (crashed)
Comment 68 User image Treeherder Robot 2012-01-05 00:28:38 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8338960&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2012-01-04 23:22:12

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 69 User image Treeherder Robot 2012-01-05 06:50:54 PST
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=8343397&tree=UX
Rev4 MacOSX Snow Leopard 10.6 ux opt test xpcshell on 2012-01-05 04:46:28

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 012345 == Initial value - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 70 User image Treeherder Robot 2012-01-05 12:31:12 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8354478&tree=Mozilla-Beta
Rev3 WINNT 6.1 mozilla-beta debug test xpcshell on 2012-01-05 11:12:54

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 71 User image Treeherder Robot 2012-01-06 08:58:51 PST
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=8377878&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2012-01-06 08:14:31

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 72 User image Treeherder Robot 2012-01-08 17:47:46 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8411860&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2012-01-08 14:59:32

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 11 (crashed)
Comment 73 User image Treeherder Robot 2012-01-09 09:19:18 PST
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=8419587&tree=Fx-Team
Rev3 MacOSX Leopard 10.5.8 fx-team opt test xpcshell on 2012-01-09 08:26:27

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | 012345 == Initial value - See following stack:
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/head_channels.js | Error in closure function: 2147500036 - See following stack:
Comment 74 User image Treeherder Robot 2012-01-10 17:48:02 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8462573&tree=Mozilla-Aurora
Rev3 MacOSX Leopard 10.5.8 mozilla-aurora debug test xpcshell on 2012-01-10 16:46:36

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 75 User image Treeherder Robot 2012-01-10 22:53:54 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8463415&tree=Mozilla-Beta
Rev3 MacOSX Leopard 10.5.8 mozilla-beta debug test xpcshell on 2012-01-10 17:23:29

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 76 User image Treeherder Robot 2012-01-11 02:57:24 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8474639&tree=Mozilla-Aurora
Rev3 WINNT 6.1 mozilla-aurora debug test xpcshell on 2012-01-11 01:06:23

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | application crashed (minidump found)
Thread 11 (crashed)
Comment 77 User image Treeherder Robot 2012-01-23 12:31:32 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8761867&tree=Mozilla-Beta
Rev3 MacOSX Leopard 10.5.8 mozilla-beta debug test xpcshell on 2012-01-23 10:50:39

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 78 User image Treeherder Robot 2012-01-26 20:24:13 PST
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=8866695&tree=Mozilla-Aurora
Rev3 WINNT 6.1 mozilla-aurora debug test xpcshell on 2012-01-26 17:17:44

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | application crashed (minidump found)
Thread 11 (crashed)
Comment 79 User image Treeherder Robot 2012-02-06 22:55:25 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9140801&tree=Mozilla-Beta
Rev3 MacOSX Leopard 10.5.8 mozilla-beta debug test xpcshell on 2012-02-06 22:18:38

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 80 User image Treeherder Robot 2012-02-09 21:33:07 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9230308&tree=Mozilla-Beta
Rev3 WINNT 6.1 mozilla-beta debug test xpcshell on 2012-02-09 20:17:12

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\netwerk\test\unit\test_bug650955.js | application crashed (minidump found)
Thread 11 (crashed)
Comment 81 User image Treeherder Robot 2012-02-22 02:53:01 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=9505722&tree=Mozilla-Beta
Rev3 Fedora 12x64 mozilla-beta debug test xpcshell on 2012-02-21 15:13:52

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 82 User image Michal Novotny (:michal) 2012-04-04 16:28:50 PDT
Created attachment 612393 [details] [diff] [review]
fix

In nsDiskCacheDevice::ClearDiskCache() we check if we have any active entry bound to the disk cache. If not, it is safe to remove the whole cache and create a new one. The problem is that nsDiskCacheDevice::Shutdown_Private() calls nsCacheService::SyncWithCacheIOThread() which releases the cache lock and all pending events on the cache IO thread are processed so some new entry can be bound to the device.
Comment 83 User image Jason Duell [:jduell] (needinfo me) 2012-04-11 12:49:03 PDT
Comment on attachment 612393 [details] [diff] [review]
fix

Review of attachment 612393 [details] [diff] [review]:
-----------------------------------------------------------------

Seems ok.  I was going to suggest that we set the bool *collision argument to 'false' before the early abort, but we don't know what to set it to (at some level the API for nsDiskCacheDevice::FindEntry seems a little wrong, as we really have four conditions: key found, not found + no collision, not found + collision, or--the new one--function failed, so no entry and we don't know about collision).   But I see the caller is setting the arg to 'false' before calling the function anyway, so it's ok for now at least.
Comment 85 User image Marco Bonardo [::mak] 2012-04-13 04:01:55 PDT
https://hg.mozilla.org/mozilla-central/rev/fba161c486a0
Comment 86 User image Treeherder Robot 2012-05-24 20:56:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12034316&tree=Mozilla-Esr10
Rev3 MacOSX Leopard 10.5.8 mozilla-esr10 debug test xpcshell on 2012-05-24 11:18:27
slave: talos-r3-leopard-058

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 87 User image Treeherder Robot 2012-07-25 01:56:46 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13820070&tree=Mozilla-Esr10
Rev3 MacOSX Leopard 10.5.8 mozilla-esr10 debug test xpcshell on 2012-07-24 17:27:28
slave: talos-r3-leopard-020

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)
Comment 88 User image Treeherder Robot 2012-12-10 10:23:02 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=17785351&tree=Mozilla-Esr10
Rev3 MacOSX Leopard 10.5.8 mozilla-esr10 debug test xpcshell on 2012-12-10 09:55:26
slave: talos-r3-leopard-008

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_bug650955.js | application crashed (minidump found)
Thread 7 (crashed)

Note You need to log in before you can comment on or make changes to this bug.